<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\Classes\Export;

class ExportSperrzeit extends \ExportBasis
{
  
  public function getVarValue($varname)
  {
    switch ($this->getVarCategory($varname)) {
      default: return parent::getVarValue($varname);
      case 'sp_':
      case 'sperrzeit_':
        return $this->exportresults[$this->actualset]->getVarValue($this->getVarName($varname));
      case 'kort_':
      case 'raum_':
        return $this->expCalculation->getVarValue4Kursort($this->getVarName($varname), $this->exportresults[$this->actualset]->raum);
    }
  }
}